<?php
/**
 * Custom Layout,Font,Css
 *
 * @since kimmia 1.0
 */
 
	global $kimmia_options,$google_fonts,$google_load_fonts,$google_custom_fonts;
	
	if($google_custom_fonts == null) {
		kimmia_get_custom_font();
	}
	// Custom Font For google font
 	$general_font 				=  $google_custom_fonts['general_font'];
	$general_font_size 			= '14px';
	$menu_font					= $google_custom_fonts['menu_font'];
	$menu_font_size				= '13px';
	$title_font					= $google_custom_fonts['title_font'];
	
	if(penguin_get_options_key('custom-enable-font') == "on"){
		
		if( penguin_get_options_key('custom-general-font-size') !="")
			$general_font_size = intval($kimmia_options['custom-general-font-size']).'px';

		if( penguin_get_options_key('custom-menu-font-size') !="")
			$menu_font_size = intval($kimmia_options['custom-menu-font-size']).'px';
	}
	
	// Color
	$theme_color						=	'#2fc974';
	$theme_over_color					=	'#02e365';
	$custom_general_color				=	'#666666';
	$custom_a_color						=	'#333333';
	$custom_a_hover_color				=	'#2fc974';
	$custom_h_color						=	'#555555';
	$custom_sub_menu_background_color	=	'#ffffff';
	$custom_sub_menu_border_bottom_color=	'#f0f0f0';
	$custom_menu_font_color				=	'#ffffff';
	$custom_menu_hover_font_color		=	'#2fc974';
	$custom_sub_menu_font_color			=	'#666666';
	$custom_sub_menu_hover_font_color	=	'#2fc974';
	$custom_footer_bg_color				=	'#333333';
	$custom_footer_text_color			=	'#777777';
	$custom_footer_a_color				=	'#bbbbbb';
	$custom_footer_a_hover_color		=	'#2fc974';
	$custom_footer_h_color				=	'#ffffff';
	$custom_footer_copyright_color		=	'#222222';
	$custom_footer_copyright_text_color	=	'#555555';
	$custom_footer_copyright_a_color	=	'#555555';
	$custom_footer_copyright_a_hover_color=	'#2fc974';
	
	if(penguin_get_options_key('custom-enable-color') == "on"){
		
		if( penguin_get_options_key('theme-color') !=""){$theme_color = "#".$kimmia_options['theme-color'];	}
		if( penguin_get_options_key('theme-over-color') !=""){$theme_over_color = "#".$kimmia_options['theme-over-color'];}
		if( penguin_get_options_key('custom-general-color') !=""){$custom_general_color = "#".$kimmia_options['custom-general-color'];}
		if( penguin_get_options_key('custom-a-color') !=""){$custom_a_color = "#".$kimmia_options['custom-a-color'];}
		if( penguin_get_options_key('custom-a-hover-color') !=""){$custom_a_hover_color = "#".$kimmia_options['custom-a-hover-color'];}
		if( penguin_get_options_key('custom-h-color') !=""){$custom_h_color = "#".$kimmia_options['custom-h-color'];}
		if( penguin_get_options_key('custom-sub-menu-background-color') !=""){$custom_sub_menu_background_color = "#".$kimmia_options['custom-sub-menu-background-color'];}
		if( penguin_get_options_key('custom-sub-menu-border-bottom-color') !=""){$custom_sub_menu_border_bottom_color = "#".$kimmia_options['custom-sub-menu-border-bottom-color'];}
		if( penguin_get_options_key('custom-menu-font-color') !=""){$custom_menu_font_color = "#".$kimmia_options['custom-menu-font-color'];		}
		
		if( penguin_get_options_key('custom-menu-hover-font-color') !=""){$custom_menu_hover_font_color = "#".$kimmia_options['custom-menu-hover-font-color'];	}
		if( penguin_get_options_key('custom-sub-menu-font-color') !=""){$custom_sub_menu_font_color = "#".$kimmia_options['custom-sub-menu-font-color'];	}
		if( penguin_get_options_key('custom-sub-menu-hover-font-color') !=""){$custom_sub_menu_hover_font_color = "#".$kimmia_options['custom-sub-menu-hover-font-color'];	}
		if( penguin_get_options_key('custom-footer-bg-color') !=""){$custom_footer_bg_color = "#".$kimmia_options['custom-footer-bg-color'];	}
		if( penguin_get_options_key('custom-footer-text-color') !=""){$custom_footer_text_color = "#".$kimmia_options['custom-footer-text-color'];	}
		if( penguin_get_options_key('custom-footer-a-color') !=""){$custom_footer_a_color = "#".$kimmia_options['custom-footer-a-color'];	}
		if( penguin_get_options_key('custom-footer-a-hover-color') !=""){$custom_footer_a_hover_color = "#".$kimmia_options['custom-footer-a-hover-color'];	}
		if( penguin_get_options_key('custom-footer-h-color') !=""){$custom_footer_h_color = "#".$kimmia_options['custom-footer-h-color'];	}
		if( penguin_get_options_key('custom-footer-copyright-color') !=""){$custom_footer_copyright_color = "#".$kimmia_options['custom-footer-copyright-color'];	}
		if( penguin_get_options_key('custom-footer-copyright-text-color') !=""){$custom_footer_copyright_text_color = "#".$kimmia_options['custom-footer-copyright-text-color'];	}
		if( penguin_get_options_key('custom-footer-copyright-a-color') !=""){$custom_footer_copyright_a_color = "#".$kimmia_options['custom-footer-copyright-a-color'];	}
		if( penguin_get_options_key('custom-footer-copyright-a-hover-color') !=""){$custom_footer_copyright_a_hover_color = "#".$kimmia_options['custom-footer-copyright-a-hover-color'];	}

	}
	

header("Content-type: text/css; charset: UTF-8");
?>

::-moz-selection { background:<?php echo $theme_color;?>; color: #ffffff; text-shadow: none; }
::selection { background:<?php echo $theme_color;?>; color: #ffffff; text-shadow: none; }

<?php if(intval(penguin_get_options_key('global-layout')) == 1) { if(intval(penguin_get_options_key('global-bg-type')) == 0) {?>
body {
    background-size:<?php echo penguin_get_options_key('global-bg-pattern-width');?>px <?php echo penguin_get_options_key('global-bg-pattern-height');?>px;
    background-repeat: repeat;
    background-image:url(<?php echo penguin_get_options_key('global-bg-image');?>);
 }
<?php }elseif(intval(penguin_get_options_key('global-bg-type')) == 1 && penguin_get_options_key('global-bg-image') != "") { ?>
body { 
    background: url(<?php echo penguin_get_options_key('global-bg-image'); ?>) no-repeat center center fixed; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}
<?php }elseif(intval(penguin_get_options_key('global-bg-type')) == 2 && penguin_get_options_key('global-bg-color') != ""){?>
body {
    background-color:#<?php echo penguin_get_options_key('global-bg-color'); ?>;
}
<?php }?>
.boxed .wrapper {margin: <?php echo penguin_get_options_key('global-layout-boxed-padding');?>px auto;  }
<?php } ?> 

.site-header-content .header-logo {margin-top: <?php echo penguin_get_options_key('header-logo-padding-top');?>px;}

.site-header-content .header-area-content {margin-top: <?php echo penguin_get_options_key('header-area-padding-top');?>px;}

<?php if(intval(penguin_get_options_key('global-content-bg-type')) == 0) { ?>
.site-content {
    background-size:<?php echo penguin_get_options_key('global-content-bg-pattern-width');?>px <?php echo penguin_get_options_key('global-content-bg-pattern-height') ;?>px;
    background-repeat: repeat;
    background-image:url(<?php echo penguin_get_options_key('global-content-bg-image');?>);
 }
<?php 
} elseif(intval(penguin_get_options_key('global-content-bg-type')) == 1 && penguin_get_options_key('global-content-bg-image') != "") {
?>
.site-content { 
    background: url(<?php echo penguin_get_options_key('global-content-bg-image'); ?>) no-repeat center center fixed; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}
<?php 
} elseif(intval(penguin_get_options_key('global-content-bg-type')) == 2 && penguin_get_options_key('global-content-bg-color') != "") {
?>
.site-content {
    background-color:#<?php echo penguin_get_options_key('global-content-bg-color'); ?>;
}
<?php } ?>

/* page title background */
<?php if(intval(penguin_get_options_key('global-page-title-bg-type')) == 0) { ?>
.site-content-header {
    background-size:<?php echo $kimmia_options['global-page-title-bg-pattern-width'];?>px <?php echo $kimmia_options['global-page-title-bg-pattern-height'];?>px;
    background-repeat: repeat;
    background-image:url(<?php echo $kimmia_options['global-page-title-bg-image'];?>);
 }
<?php }elseif(intval(penguin_get_options_key('global-page-title-bg-type')) == 1 && penguin_get_options_key('global-page-title-bg-image') != "") {?>
.site-content-header { 
    background: url(<?php echo penguin_get_options_key('global-page-title-bg-image'); ?>) repeat center center scroll; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}
<?php }elseif(intval(penguin_get_options_key('global-page-title-bg-type')) == 2 && penguin_get_options_key('global-page-title-bg-color') != "") {?>
.site-content-header {
    background-color:#<?php echo penguin_get_options_key('global-page-title-bg-color'); ?>;
}
<?php } ?>

<?php 
if(penguin_get_options_key('custom-enable-font') == "on") {
?>
/* 	----------------------------------------------------------------------------------------------	
										CUSTOM THEME FONT																									
	----------------------------------------------------------------------------------------------	*/
body {font-family:<?php echo $general_font;?>, Helvetica, Arial, sans-serif;font-size:<?php echo $general_font_size; ?>;}
h1,h2,h3,h4,h5,h6 {font-family:<?php echo $title_font; ?>,Helvetica, Arial, sans-serif;}
.kimmia-nav-menu li a {font-size: <?php echo $menu_font_size;?>;font-family: <?php echo $menu_font;?>,sans-serif;}
    
<?php } ?>


<?php if( penguin_get_options_key('custom-enable-color') == "on") { ?>	

/* 	----------------------------------------------------------------------------------------------	
										CUSTOM THEME COLOR																									
	----------------------------------------------------------------------------------------------	*/

/* 	----------------------------------------------------------------------------------------------	
										A - GENERAL STYLE																												
	----------------------------------------------------------------------------------------------	*/
	
body {color: <?php echo $custom_general_color;?>;}
h1,h2,h3,h4,h5,h6 {color:<?php echo $custom_h_color;?>;}

textarea:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="color"]:focus,
.uneditable-input:focus {
	border-color: <?php echo $theme_color;?>;
}

a {color: <?php echo $custom_a_color;?>;}
a:hover {color: <?php echo $custom_a_hover_color;?>;}

/* 	----------------------------------------------------------------------------------------------	
										B - PAGE STYLE																												
	----------------------------------------------------------------------------------------------	*/

/* = Site Header
-------------------------------------------------------------- */
.kimmia-nav-menu li a {color:<?php echo $custom_menu_font_color;?>;}
.kimmia-nav-menu ul li a {background:<?php echo $custom_sub_menu_background_color;?>;color:<?php echo $custom_sub_menu_font_color;?>;}
.kimmia-nav-menu ul li {border-bottom: 1px <?php echo $custom_sub_menu_border_bottom_color;?> solid;}
.kimmia-nav-menu ul li:last-child {border-bottom:none;}
.kimmia-nav-menu > li > ul:after {border-bottom: 7px solid <?php echo $custom_sub_menu_background_color;?>;}

.kimmia-nav-menu > li.current-menu-item > a, 
.kimmia-nav-menu > li.current-menu-ancestor > a { background: <?php echo $theme_color;?>;}

.kimmia-nav-menu li a:hover {color: <?php echo $custom_menu_hover_font_color;?>;}
.kimmia-nav-menu > li > a:hover {background:<?php echo $theme_color;?>;}
.kimmia-nav-menu ul li a:hover {color: <?php echo $custom_sub_menu_hover_font_color;?>;}

.header-lang > ul > li > ul:after {border-bottom: 7px solid <?php echo $custom_sub_menu_background_color;?>;}
.header-lang li ul li a,
.header-lang li ul li span {background:<?php echo $custom_sub_menu_background_color;?>;color:<?php echo $custom_sub_menu_font_color;?>;}
.header-lang li a:hover {color: <?php echo $custom_menu_hover_font_color;?>;}
.header-lang ul li a:hover {color: <?php echo $custom_sub_menu_hover_font_color;?>;}

/* = Blog
-------------------------------------------------------------- */
.post-meta a {color:<?php echo $theme_color;?>;}
.post-meta a:hover {color:<?php echo $theme_over_color;?>;}
.entry-right-side .more-link {background:<?php echo $theme_color;?>;}
.entry-right-side .more-link:hover {background:<?php echo $theme_over_color;?>;}
.post-mask .link:hover, .post-mask .preview:hover{background:<?php echo $theme_color;?>;}
.post-quote {background: <?php echo $theme_color;?>;}
.post-author {border-bottom: 3px solid <?php echo $theme_color;?>;}

.comment-list .comment-reply-link {color: #ffffff;background: <?php echo $theme_color;?>;}
.comment-list .comment-reply-link:hover {background: <?php echo $theme_over_color;?>;}

/* = Portfolio
-------------------------------------------------------------- */
.portfolio-filters-cate li a:hover {color: <?php echo $theme_color;?>;}
.portfolio-filters-cate li a.active, .portfolio-filters-cate li a.active:hover {background:<?php echo $theme_color;?>;}
.single-portfolio-information .download a {background:<?php echo $theme_color;?>;}
.single-portfolio-information .download a:hover{background: <?php echo $theme_over_color;?>;}

/* vote */
.votebox {background: <?php echo $theme_color;?>;}

/* = Search Page Style
-------------------------------------------------------------- */
.search-post .post-type {color: <?php echo $theme_color;?>;}

/* = Site Footer
-------------------------------------------------------------- */
.site-footer-widget {background:<?php echo $custom_footer_bg_color;?>;color:<?php echo $custom_footer_text_color;?>;}
.site-footer-bottom {background:<?php echo $custom_footer_copyright_color;?>;color:<?php echo $custom_footer_copyright_text_color;?>;}
.site-footer-bottom a {color:<?php echo $custom_footer_copyright_a_color;?>;}
.site-footer-bottom a:hover {color:<?php echo $custom_footer_copyright_a_hover_color;?>;}

/* = Widget
-------------------------------------------------------------- */
.widget_search #searchsubmit {background-color: <?php echo $theme_color;?>;}
.site-footer-widget .widget-title {color: <?php echo $custom_footer_h_color;?>;}
.site-footer-widget a {color:<?php echo $custom_footer_a_color;?>;}
.site-footer-widget a:hover {color:<?php echo $custom_footer_a_hover_color;?>;}
.site-footer-widget .widget_search #s:focus {border: 1px <?php echo $theme_color;?> solid;}

/* = Shortcode
-------------------------------------------------------------- */

/* ------- 1. Services  ------- */
.services.left .service-icon {color: <?php echo $theme_color;?>;}
.services.center .service-icon {color: <?php echo $theme_color;?>;}

/* ------- 5. Skills  ------- */
.skills .skill-bg {background: <?php echo $theme_color;?>;}


/* = Elements
-------------------------------------------------------------- */

/* ------- 1. Line  ------- */
.left-line {float:left;width:20%;height:1px;background:<?php echo $theme_color;?>;}

/* ------- 4. Button  ------- */
.btn-custom , input.btn-custom {background: <?php echo $theme_color;?>;}
.btn-custom:hover , input.btn-custom:hover {background:<?php echo $theme_over_color;?>;}

/* ------- 6. Back Top  ------- */
#back-top:hover {background-color:<?php echo $theme_color;?>;}

/* = Plugins
-------------------------------------------------------------- */

/* ------- 1. Flexslider  ------- */
.flexslider.kimmia-fl .flex-direction-nav a:hover {background-color: <?php echo $theme_color;?>;}

/* contact form 7 */
.wpcf7 .wpcf7-submit {background: <?php echo $theme_color;?>;}
.wpcf7 .wpcf7-submit:hover {background: <?php echo $theme_over_color;?>;}

<?php } ?>


@media only screen and (-Webkit-min-device-pixel-ratio: 1.5),
only screen and (-moz-min-device-pixel-ratio: 1.5),
only screen and (-o-min-device-pixel-ratio: 3/2),
only screen and (min-device-pixel-ratio: 1.5) {

<?php if(intval(penguin_get_options_key('global-layout')) == 1 && intval(penguin_get_options_key('global-bg-type')) == 0 && penguin_get_options_key('global-bg-retina-image') != "") {?>
body { background-image:url(<?php echo penguin_get_options_key('global-bg-retina-image');?>); }
<?php }?>

<?php if(intval(penguin_get_options_key('global-content-bg-type')) == 0 && penguin_get_options_key('global-content-bg-retina-image') != "") {?>
.site-content { background-image:url(<?php echo penguin_get_options_key('global-content-bg-retina-image');?>); }
<?php }?>

<?php if(intval(penguin_get_options_key('global-page-title-bg-type')) == 0 && penguin_get_options_key('global-page-title-bg-retina-image') != "") { ?>
.site-content-header {  { background-image:url(<?php echo penguin_get_options_key('global-page-title-bg-retina-image');?>);}
<?php }?>

}