<?php
/**
 * Portfolio Template
 *
 * @since kimmia 1.0
 */
global $per_page_num, $page_cols, $portfolio_show_style, $portfolio_show_filter, $portfolio_show_cat,$thumbs_size;
switch(intval($page_cols)){
	case 2: $thumbs_size = 'two-column-thumbs';break;
	case 3: $thumbs_size = 'three-column-thumbs';break;
	case 4: $thumbs_size = 'four-column-thumbs';break;
}
$page_cols = 'columns-'.$page_cols;
?>

<?php 
if($portfolio_show_filter == "on") { 
	get_template_part( 'template/custom', 'portfolio-filters-content' );
} 
?>
 
<div class="portfolio-container row-fluid">
    <?php 
        if($paged == 0){$paged = 1;}
        
        // get portfolio
        $args = array(	'post_type' => 'portfolio',
                        'post_status' => 'publish',
                        'paged' => $paged,
                        'posts_per_page'=> intval($per_page_num)
                     );
        
        // show category portfolio
        if($portfolio_show_cat != "") {
            $slugs = explode("," , $portfolio_show_cat);
            if(count($slugs) > 0) {
                $args['tax_query'] = array(	array('taxonomy' => 'portfolio_categories',
                                            'field' => 'slug',
                                            'terms' => $slugs));
            }
        }
        
       	// The Query
		$portfolios = new WP_Query($args);
		if ($portfolios -> have_posts() ) {
			while ($portfolios -> have_posts() ) : $portfolios-> the_post();
				get_template_part( 'template/custom', 'portfolio-content' );
			endwhile; ?>
    <?php }?>
</div>
<?php wp_reset_postdata(); ?>
           