<?php
/**
 * Quote Post Content
 *
 * @since kimmia 1.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('entry-post');?> >
	<div class="post-element-content">
        <div class="post-quote">
        	<span class="post-quote-icon"><i class="icon-quote-right"></i></span>
        	<?php echo get_the_content(); ?>
        </div>
    </div>
    <div class="row-fluid">
        <div class="entry-left-side span2">
            <div class="post-type"><i class="icon-quote-left"></i></div>
            <div class="post-meta post-date"><a title="<?php echo __('Permalink to ', 'kimmia').get_the_title();?>" href="<?php echo get_permalink(); ?>"><?php echo get_the_date('M-d-Y'); ?></a></div>
            <div class="post-meta post-comments"><a href="<?php echo get_permalink(get_the_ID()).'#comments'; ?>"><?php comments_number(__('0 Comment' , 'kimmia') , __('1 Comment' , 'kimmia') , __('% Comments' , 'kimmia')); ?></a></div>
        </div>
        <div class="entry-right-side span10">
            <header class="post-header">
            <h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <div class="post-meta"><?php _e('Posted by ','kimmia'); ?><?php the_author_posts_link();?><?php _e(' wrote in ','kimmia'); ?><span><?php 	$categories = get_the_category();
                                $seperator = ' , ';
                                $output = '';
                                if($categories){
                                    foreach($categories as $category) {
                                        $output .= '<a href="'.get_category_link($category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s",'kimmia'), $category->name ) ) . '">'.$category->cat_name.'</a>'.$seperator;
                                    }
                                echo trim($output, $seperator);
                                }
                     ?></span>.<?php edit_post_link(__(' <i class="icon-edit"></i> Edit', 'kimmia'), '', ''); ?></div>
            </header>
            <div class="entry-content">
            <?php echo '<p><a class="more-link" href="'.get_permalink().'">'.__('Read More','kimmia').'</a></p>'; ?>
            </div>
        </div>
    </div>
</article>