<?php
/**
 * The Footer for our theme.
 *
 * @since Kimmia 1.0
 */
?>
        </section>
        <footer class="site-footer">
        	<?php 
				$cols = kimmia_get_footer_widget_active_items(); 
				if($cols != "span12") {
			?>
            <section class="site-footer-widget">
                <div class="container">
                    <div class="row-fluid">
                    <?php if (function_exists('dynamic_sidebar') && is_active_sidebar('sidebar-footer-1')): ?>
                        <div class="<?php echo $cols; ?>"><?php dynamic_sidebar('sidebar-footer-1') ?></div>
                    <?php endif; ?>
                    <?php if (function_exists('dynamic_sidebar') && is_active_sidebar('sidebar-footer-2')): ?>
                        <div class="<?php echo $cols; ?>"><?php dynamic_sidebar('sidebar-footer-2') ?></div>
                    <?php endif; ?>
                    <?php if (function_exists('dynamic_sidebar') && is_active_sidebar('sidebar-footer-3')): ?>
                        <div class="<?php echo $cols; ?>"><?php dynamic_sidebar('sidebar-footer-3') ?></div>
                    <?php endif; ?>
                    <?php if (function_exists('dynamic_sidebar') && is_active_sidebar('sidebar-footer-4')): ?>
                        <div class="<?php echo $cols; ?>"><?php dynamic_sidebar('sidebar-footer-4') ?></div>
                    <?php endif; ?>
                    </div>
                </div>
            </section>
            <?php } ?>
            <section class="site-footer-bottom">
                <div class="container">
                    <div class="row-fluid">
                        <div class="span8">
                            <div class="site-footer-menu">
								<?php 
                                    $kimmia_main_menu = array(
                                        'theme_location'  	=> 'kimmia_bottom_menu',
                                        'container'			=> false,
                                        'menu_class'    	=> 'kimmia-nav-bottom-menu',
                                        'fallback_cb'	  	=> 'kimmia_show_setting_primary_menu'
                                        
                                    ); 
                                    wp_nav_menu($kimmia_main_menu);
                                ?>
                            </div>
                            <div class="site-footer-copyright"><?php echo penguin_get_options_key('footer-copyright-message'); ?></div>
                        </div>
                        <div class="span4">
                        	<ul class="inline kimmia-social site-bottom-social">
							<?php 
								echo penguin_get_social_list(); 
								if(penguin_get_options_key('rss-feed') != ""){
									echo '<li><a href="'.penguin_get_options_key('rss-feed').'" class="penguin-icon-rss"></a></li>';
								}
							?>
                            </ul>
                        </div>
                    </div>
                </div>
            </section>
        </footer>
    </div>
	<?php wp_footer() ?>
</body>
</html>