<?php
/**
 * Portfolio List Template
 *
 * @since kimmia 1.0
 */
global $portfolios_list, $portfolios_list_columns, $portfolios_list_style;

switch($portfolios_list_columns){
	case '2': $portfolios_list_columns_span = 'span6';$thumbs_size = 'two-column-thumbs';break;
	case '3': $portfolios_list_columns_span = 'span4';$thumbs_size = 'three-column-thumbs';break;
	case '4': $portfolios_list_columns_span = 'span3';$thumbs_size = 'four-column-thumbs';break;
}	
if( $portfolios_list->have_posts()){ 
?>
<div class="kimmia-related-posts row-fluid related-column-<?php echo $portfolios_list_columns; ?>">
<?php while( $portfolios_list->have_posts()) : $portfolios_list->the_post(); ?>
	<div class="kimmia-related-item <?php echo $portfolios_list_columns_span; ?> kimmia-related-item-style-<?php echo $portfolios_list_style; ?>">
   
		<?php if(has_post_thumbnail(get_the_ID())) { ?>
        <a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title(); ?>">
        <?php echo get_the_post_thumbnail(get_the_ID(),$thumbs_size , array('alt' => get_the_title(),'title' => '')); ?>
        </a>
		<?php } ?>
        <?php if(intval($portfolios_list_style) == 1){ ?>
		<div class="kimmia-related-content">
			<h5 class="entry-title"><a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a></h5>
			<div class="portfolio-date"><i class="icon-time"></i><?php echo get_the_date(); ?></div>
            <span class="portfolio-heart"><i class="icon-heart"></i><?php echo kimmia_get_post_meta_count(get_the_ID(),1,false); ?></span>
       	</div>
        <?php }else{?>
        <div class="kimmia-related-content">
			<h5 class="entry-title"><a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a></h5>
            <div class="portfolio-categories"><?php echo penguin_get_custom_portfolio_category_links( penguin_get_custom_post_categories(get_the_ID(),'portfolio_categories',false) , ' / '); ?></div>
       	</div>
        <?php } ?>
	</div>
<?php endwhile; ?>
</div>
<?php } ?>