<?php
/**
 * Post Sidebar List Template
 *
 * @since kimmia 1.0
 */
global $blog_posts_list, $blog_posts_list_columns,$blog_posts_list_style;
switch($blog_posts_list_columns){
	case '2': $blog_posts_list_columns_span = 'span6';$thumbs_size = 'two-column-thumbs';break;
	case '3': $blog_posts_list_columns_span = 'span4';$thumbs_size = 'three-column-thumbs';break;
	case '4': $blog_posts_list_columns_span = 'span3';$thumbs_size = 'four-column-thumbs';
}
		
if($blog_posts_list->have_posts()){ ?>
<div class="kimmia-related-posts row-fluid related-column-<?php echo $blog_posts_list_columns; ?>">
<?php while($blog_posts_list->have_posts()) : $blog_posts_list->the_post(); ?>
	<div class="kimmia-related-item <?php echo $blog_posts_list_columns_span; ?> kimmia-related-post-style-<?php echo $blog_posts_list_style; ?>">
    <?php if(has_post_thumbnail(get_the_ID())) { ?>
		<a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title(); ?>">
        <?php echo get_the_post_thumbnail(get_the_ID(),$thumbs_size , array('alt' => get_the_title(),'title' => '')); ?>
		</a>
	<?php } ?>
	<div class="kimmia-related-content">
    	<?php
        	$num_comments = get_comments_number(get_the_ID()); 
			if ( $num_comments == 0 ) {
				$comments = __('0 Comments','kimmia');
			} elseif ( $num_comments > 1 ) {
				$comments = $num_comments . __(' Comments','kimmia');
			} else {
				$comments = __('1 Comment','kimmia');
			}
		?>
    	<?php if(intval($blog_posts_list_style) == 1){ ?>
		<h5 class="entry-title"><a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a></h5>
		<div class="kimmia-related-date"><?php echo __('Posted on ','kimmia').get_the_date('M-d-Y'); ?></div>
		<div class="post-meta post-comments"><?php echo __('By ','kimmia').get_the_author().__(' with ','kimmia'); ?><a href="<?php echo get_permalink(get_the_ID()); ?>#comments"><?php echo $comments; ?></a></div>
        <?php }else{ ?>
        	<h5 class="entry-title"><a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a></h5>
            <div class="post-meta"><span class="post-date"><i class="icon-time"></i><?php echo get_the_date(); ?></span><span class="post-comments"><a href="<?php echo get_permalink(get_the_ID()); ?>#comments"><i class=" icon-comments-alt"></i><?php echo $num_comments; ?></a></span></div>
            <div class="entry-content">
				<?php echo penguin_string_limit_words(get_the_excerpt(), 30); ?>
            	<?php echo '<p><a class="more-link btn btn-custom" href="'.get_permalink().'">'.__('Read More','kimmia').'</a></p>'; ?>
            </div>
        <?php } ?>
        </div>
	</div>
<?php endwhile; ?>
</div>
<?php } ?>