<?php
/**
 * Post Sidebar List Template
 *
 * @since kimmia 1.0
 */
global $blog_posts_list;
if ($blog_posts_list -> have_posts() ){?>
<ul>
<?php while ($blog_posts_list -> have_posts() ) : $blog_posts_list-> the_post(); ?>
	<li>
    	<div class="kimmia-recent-item">
			<div class="kimmia-recent-thumb">
            <?php if(has_post_thumbnail(get_the_ID())) { ?>
				<a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title(); ?>">
                <?php echo get_the_post_thumbnail(get_the_ID(), 'thumbnail' , array('alt' => get_the_title(),'title' => '')); ?>
				</a>
			<?php } ?>
			</div>
			
			<div class="kimmia-recent-content">
				<h5 class="entry-title"><a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title(); ?>"><?php echo get_the_title(); ?></a></h5>
				<div class="post-date"><?php echo __('Posted on ','kimmia').get_the_date('M-d-Y'); ?></div>
                <?php
					$num_comments = get_comments_number(get_the_ID()); 
					if ( $num_comments == 0 ) {
						$comments = __('0 Comments','kimmia');
					} elseif ( $num_comments > 1 ) {
						$comments = $num_comments . __(' Comments','kimmia');
					} else {
						$comments = __('1 Comment','kimmia');
					}
				?>
				<div class="post-meta post-comments"><a href="<?php echo get_permalink(get_the_ID()); ?>#comments"><?php echo $comments; ?></a></div>
			</div>
			
		</div>
    </li>
<?php endwhile; ?>
</ul>
<?php } ?>